# H501_UsageSpecification_when Class Reference

`#include <h501.h>`

Inheritance diagram for H501_UsageSpecification_when:

List of all members.

## Public Types

enum | OptionalFields { e_never, e_start, e_end, e_period, e_failures }

## Public Member Functions

| H501_UsageSpecification_when (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Null | m_never
PASN_Null | m_start
PASN_Null | m_end
PASN_Integer | m_period
PASN_Null | m_failures

## Member Enumeration Documentation

enum H501_UsageSpecification_when::OptionalFields

Enumerator:

  e_never |
  e_start |
  e_end |
  e_period |
  e_failures |

## Constructor & Destructor Documentation

H501_UsageSpecification_when::H501_UsageSpecification_when | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H501_UsageSpecification_when::GetDataLength | ( |  | ) | const

PBoolean H501_UsageSpecification_when::Decode | ( | PASN_Stream & | strm | ) |

void H501_UsageSpecification_when::Encode | ( | PASN_Stream & | strm | ) | const

void H501_UsageSpecification_when::PrintOn | ( | ostream & | strm | ) | const

Comparison H501_UsageSpecification_when::Compare | ( | const PObject & | obj | ) | const

PObject* H501_UsageSpecification_when::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Null H501_UsageSpecification_when::m_never

PASN_Null H501_UsageSpecification_when::m_start

PASN_Null H501_UsageSpecification_when::m_end

PASN_Integer H501_UsageSpecification_when::m_period

PASN_Null H501_UsageSpecification_when::m_failures

The documentation for this class was generated from the following file:

- h501.h